View Issue Details

IDProjectCategoryView StatusLast Update
0005462Talerexchangepublic2021-09-02 18:13
ReporterMarcello Stanisci Assigned ToMarcello Stanisci  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0005462: reserve closing needs more testing
DescriptionIn this regard, we miss the following test:

1 create reserve K
2 make it expire
3 run aggregator
4 issue status request
4 goto 1 (with the _same_ K) for n times, for some n "large enough".
Additional InformationThis should help fixing those situations where the withdrawn amount is *bigger* than the deposited amount, for a given reserve K.
TagsNo tags attached.

Activities

Marcello Stanisci

2018-12-12 19:10

viewer   ~0013404

ef58152c implements this.

Related Changesets

exchange: master 00625791

2018-12-12 14:57:21

Marcello Stanisci

Details Diff
Issue 0005462. Affected Issues
0005462
mod - src/exchange-lib/test_exchange_api_new.c Diff File
mod - src/exchange-lib/testing_api_cmd_status.c Diff File

Issue History

Date Modified Username Field Change
2018-10-25 12:47 Marcello Stanisci New Issue
2018-10-25 12:47 Marcello Stanisci Status new => assigned
2018-10-25 12:47 Marcello Stanisci Assigned To => Christian Grothoff
2018-10-25 12:47 Marcello Stanisci Assigned To Christian Grothoff => Marcello Stanisci
2018-11-18 00:36 Christian Grothoff Target Version => 0.6
2018-12-12 19:10 Marcello Stanisci Note Added: 0013404
2018-12-12 19:10 Marcello Stanisci Status assigned => resolved
2018-12-12 19:10 Marcello Stanisci Resolution open => fixed
2019-01-31 19:34 Christian Grothoff Product Version => git (master)
2019-01-31 19:34 Christian Grothoff Fixed in Version => 0.6
2019-12-20 19:12 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Marcello Stanisci Changeset attached => Taler-exchange master 00625791